package com.ruoyi.ibs.grid.service;

import com.ruoyi.ibs.grid.domain.dto.*;
import com.ruoyi.ibs.grid.domain.dto.virtual.VirtualGridSelectInfo;

import java.util.List;

public interface IGridSelectService {


    /**
     * 获取机构网格数量
     *
     * @return 网格基本信息
     */
    public GridDeptNumSelect getGridDeptNum(GridDeptNumSelect gridDeptNumSelect);



    /**
     * 查询行政与特色网格信息
     *
     * @return 网格基本信息
     */
    public List<GridSelectInfo> selectgridLevelInfoList(GridSelectInfo gridSelectInfo);



    /**
     * 查询虚拟网格信息
     *
     * @return 网格基本信息
     */
    public List<VirtualGridSelectInfo> selectVirtualInfoList(VirtualGridSelectInfo virtualGridSelectInfo);



    /**
     * 管护列表查询
     *
     * @return 网格基本信息
     */
    public List<CustManageInfo> custManageSelect(CustManageInfo custManageInfo);



    /**
     * 管护列表分配
     *
     * @return 网格基本信息
     */
    public int custManageListUpdate(CustManageUpDTO custManageUpDTO);


    /**
     * 管护列表解除前查询
     *
     * @return 网格基本信息
     */
    public List<CustManageSelectDTO> selectCustManage(String gridId ,String gridPattern ,String[] custIds,String userName);


}
